Skip to main content
`Ctrl`+`K`

# DMDAGetNumLocalSubDomains

Gets the number of local subdomains that would be created upon decomposition.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetNumLocalSubDomains(DM da, PetscInt *Nsub)

Not Collective

## Input Parameter

- da - The `DMDA`

## Output Parameter

- Nsub - Number of local subdomains created upon decomposition

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMCreateDomainDecomposition()`, `DMDASetNumLocalSubDomains()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages